.new-cb {
    height: 300px;
    overflow-y: scroll;
}

@media only screen and (max-width: 600px) {
    .new-cb {
        height: 200px;
    }
}

::-webkit-scrollbar {
    width: 20px;
}

::-webkit-scrollbar-track {
    background-color: transparent;
}

::-webkit-scrollbar-thumb {
    cursor: pointer;
    background-color: #219cc9;
    border-radius: 20px;
    border: 2px solid transparent;
    background-clip: content-box;
}

.buttons-html5 {
    margin-left: 10px !important;
}

.card-body {
    padding: 10px !important;
}

ul {
    list-style: none;
}

.new-cb li {
    padding: 10px 20px !important;
    font-size: 20px;
    width: max-content;
    background: aliceblue;
    padding: inherit;
    margin: 5px;
}

.card-body li > a {
    color: crimson;
}

li button {
    color: coral;
    border: none;
    margin-right: 1rem;
    cursor: pointer;
}

table.table-bordered.dataTable th,
table.table-bordered.dataTable td {
    border-left-width: 2px;
}

.pointer {
    cursor: pointer;
}

.dt-button {
    text-align: center;
}

/* checkbox */
th input[type="checkbox"],
input[type="radio"] {
    width: 30px !important;
    height: 30px !important;
    cursor: pointer;
}

/* users page   */
.btn {
    margin-left: 5px;
}

.tip {
    font-size: 10px;
    padding: 10px;
    height: 20px;
    padding: 0px;
    width: 25px;
}

.check-tip {
    width: 25px;
    height: 20px;
    margin-left: 10px;
}

button.btn.btn-secondary.buttons-collection.dropdown-toggle.buttons-colvis {
    margin-right: 10px;
}

.title-xd strong {
    font-size: 26px;
    font-weight: 600;
    border: #3f4d67 4px solid;
    border-radius: 5px;
    padding: 10px;
}

/* efteqad */
/* ==================================== */
td,
th {
    text-align: center;
    vertical-align: middle !important;
}

th {
    width: min-content;
    white-space: break-spaces;
}

/* toggle buttons */
::-moz-focus-inner {
    padding: 0;
    border-style: none;
}

.gender-check .btn-check:disabled + .btn {
    pointer-events: none;
    filter: none;
    opacity: 0.65;
}

.gender-check .btn {
    display: inline-block;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    border-radius: 0.25rem;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
        border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.gender-check .btn:hover {
    color: #212529;
}

.gender-check .btn-check:focus + .btn,
.btn:focus {
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

.gender-check .btn:disabled {
    pointer-events: none;
    opacity: 0.65;
}

.gender-check .btn-outline-info {
    color: #198754;
    border-color: #198754;
}
.gender-check .btn-outline-danger {
    color: #4a0500;
    border-color: #f44236;
}

.gender-check .btn-outline-info:hover {
    color: #fff;
    background-color: #2c4e5a;
    border-color: #198754;
}
.gender-check .btn-outline-danger:hover {
    color: #fff;
    background-color: #4a0500;
}

.gender-check .btn-check:focus + .btn-outline-info,
.btn-outline-info:focus {
    box-shadow: 0 0 0 0.25rem rgba(25, 135, 84, 0.5);
}

.gender-check .btn-check:active + .btn-outline-info,
.btn-check:checked + .btn-outline-info,
.btn-outline-info:active {
    color: #fff;
    background-color: #2c4e5a;
    border-color: #198754;
}
.gender-check .btn-check:active + .btn-outline-danger,
.btn-check:checked + .btn-outline-danger,
.btn-outline-danger:active {
    color: #fff;
    background-color: #4a0500;
}

.gender-check .btn-check:active + .btn-outline-info:focus,
.btn-check:checked + .btn-outline-info:focus,
.btn-outline-info:active:focus {
    box-shadow: 0 0 0 0.25rem rgba(25, 135, 84, 0.5);
}

.gender-check .btn-outline-info:disabled {
    color: #198754;
    background-color: transparent;
}

/*! CSS Used from: https://getbootstrap.com/docs/5.0/assets/css/docs.css */
.bd-example > .btn {
    margin: 0.25rem 0.125rem;
}

input[type="radio"] {
    display: none;
}

.gender-check {
    flex-wrap: nowrap;
    padding: 1rem;
}

.table-links .btn {
    padding: 8px !important;
    margin: 2px !important;
}

/* ===================================== */

/* ==================================== */
/* khodam */
/* ==================================== */
.show ::before {
    display: none;
}

/* ==================================== */

/* lightbox */
/* Styles the lightbox, removes it from sight and adds the fade-in transition */
.lightbox-target {
    position: fixed;
    right: 5%;
    left: 5%;
    background: rgba(0, 0, 0, 0.7);
    width: 100%;
    opacity: 0;
    -webkit-transition: opacity 0.5s ease-in-out;
    -moz-transition: opacity 0.5s ease-in-out;
    -o-transition: opacity 0.5s ease-in-out;
    transition: opacity 0.5s ease-in-out;
    overflow: hidden;
}

/* Styles the lightbox image, centers it vertically and horizontally, adds the zoom-in transition and makes it responsive using a combination of margin and absolute positioning */
.lightbox-target img {
    margin: auto;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    max-height: 0%;
    max-width: 0%;
    border: 3px solid white;
    box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.3);
    box-sizing: border-box;
    -webkit-transition: 0.5s ease-in-out;
    -moz-transition: 0.5s ease-in-out;
    -o-transition: 0.5s ease-in-out;
    transition: 0.5s ease-in-out;
}

/* Styles the close link, adds the slide down transition */
a.lightbox-close {
    display: block;
    opacity: 0;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    background: white;
    color: black;
    text-decoration: none;
    position: absolute;
    top: -80px;
    right: 0;
    -webkit-transition: 0.5s ease-in-out;
    -moz-transition: 0.5s ease-in-out;
    -o-transition: 0.5s ease-in-out;
    transition: 0.5s ease-in-out;
}

/* Uses the :target pseudo-class to perform the animations upon clicking the .lightbox-target anchor */
.lightbox-target:target {
    opacity: 1;
    top: 0;
    bottom: 0;
    overflow: scroll;
}

.lightbox-target:target img {
    max-height: 100%;
    max-width: 100%;
}

.attend {
    width: 30px;
    height: 30px;
    margin: 0 auto;
    border: 2px solid;
}

.b-green {
    background: green;
}

.bg-danger .phone {
    color: #fff !important;
}
.bg-warning .phone {
    color: #000 !important;
}

/* loading  */
.loading {
    display: inline-block;
    background: #00000066;
    width: 100%;
    height: 100%;
    position: absolute;
    right: 0;
    z-index: 99;
}

.loading:after {
    content: " ";
    display: block;
    width: 64px;
    height: 64px;
    margin: 5% auto;
    border-radius: 50%;
    border: 6px solid #fff;
    border-color: #fff transparent #fff transparent;
    animation: loading 1.2s linear infinite;
}

@keyframes loading {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.8);
    z-index: 999;
    opacity: 1;
    transition: all 0.5s;
}

a.text-light:before {
    content: ' ⏎ ';
    font-weight: bold;
    color: #31b0d3;
}
